﻿using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.ComponentModel;
using System.Text;

namespace JianGongYun.TRTC.ViewModels
{
    public class LiveWindowViewModel : INotifyPropertyChanged
    {
        public event PropertyChangedEventHandler PropertyChanged;

        /// <summary>
        /// 教室信息
        /// </summary>
        public Models.ClassroomEntity ClassroomEntity { get { return LiveClassroom.CurrentClassroomEntity; } }

        /// <summary>
        /// 学生总数
        /// </summary>
        private int _StudentCount = 0;
        public int StudentCount
        {
            set
            {
                _StudentCount = value;
                if (PropertyChanged != null)
                {
                    PropertyChanged(this, new PropertyChangedEventArgs("StudentCount"));//对StudentCount进行监听
                }
            }
            get
            {
                return _StudentCount;
            }
        }

        /// <summary>
        /// 是否在直播中
        /// </summary>
        private bool _IsLive = false;
        public bool IsLive
        {
            set
            {
                _IsLive = value;
                if (PropertyChanged != null)
                {
                    PropertyChanged(this, new PropertyChangedEventArgs("IsLive"));
                }
            }
            get
            {
                return _IsLive;
            }
        }

    }
}
